Class | Fog::Compute::Ninefold::Server
In: | lib/fog/ninefold/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

destroy flavor image ipaddress new ready? reboot save start stop

### Public Class methods

new(attributes={})

attribute :account_id, :aliases => "account", :squash => "id" attribute :image_id, :aliases => "image", :squash => "id" attribute :flavor_id, :aliases => "server_type", :squash => "id" attribute :zone_id, :aliases => "zone", :squash => "id"

### Public Instance methods

destroy()
flavor()
image()
ipaddress()

This is temporary - we need to model nics.

ready?()
reboot()
save()
start()
stop()

[Validate]